Subject: Re: P2010 External HW IRQ number?

From: Scott Wood <[email-masked]>
Date: Fri, 8 Jun 2012 14:23:50 -0500

On 06/08/2012 06:06 AM, Joakim Tjernlund wrote:
> 
> I have been trying to figure out what irq number to use for external IRQs for
> the P2010. There are no HW IRQ numbers in the ref manual and I cannot find
> any examples in the kernel either.
> How do specify irq numbers in my dts for external IRQs?

See Documentation/devicetree/bindings/powerpc/fsl/mpic.txt

For external interrupts, the first cell is equal to the IRQ number.

For an example of specifying an external IRQ, see the RTC and PHY nodes
in various mpc85xx device trees (e.g. mpc8536ds.dtsi).

> What do I use with request_irq(?,....)?

You need a virtual IRQ number.  Typically this comes from
irq_of_parse_and_map().

-Scott